Author: arekm
Date: Sun Feb  5 16:32:04 2006
New Revision: 6922

Modified:
   rc-scripts/trunk/rc.d/rc.sysinit
   rc-scripts/trunk/sysconfig/system
Log:
Rename PROMPT to RC_PROMPT (PROMPT is internal zsh variable). Fixed RC_PROMPT 
testing to work as described in sysconfig/system.

Modified: rc-scripts/trunk/rc.d/rc.sysinit
==============================================================================
--- rc-scripts/trunk/rc.d/rc.sysinit    (original)
+++ rc-scripts/trunk/rc.d/rc.sysinit    Sun Feb  5 16:32:04 2006
@@ -126,7 +126,7 @@
 
 # Print welcome message
 nls "\t\t\t%sPowered by %sPLD Linux Distribution%s" "$(termput setaf 
$CPOWEREDBY)" "$(termput setaf $CPLD)" "$(termput op)"
-if is_yes "$PROMPT"; then
+if ! is_no "$RC_PROMPT"; then
        nls -n "\t\t  Press %sI%s to enter interactive startup" "$(termput 
setaf $CI)" "$(termput op)"
        echo
        sleep 1
@@ -862,7 +862,7 @@
 
 kill -TERM $(/sbin/pidof getkey) >/dev/null 2>&1
 } &
-if is_yes "$PROMPT"; then
+if ! is_no "$RC_PROMPT"; then
        /sbin/getkey -c 5 i && touch /var/run/confirm
 fi
 wait

Modified: rc-scripts/trunk/sysconfig/system
==============================================================================
--- rc-scripts/trunk/sysconfig/system   (original)
+++ rc-scripts/trunk/sysconfig/system   Sun Feb  5 16:32:04 2006
@@ -86,7 +86,7 @@
 EVMS_OS2=no
 
 # Set to anything other than 'no' to allow hotkey interactive startup...
-PROMPT=yes
+RC_PROMPT=yes
 
 # List of chroots separated by space (to handle processes inside/outside
 # chroot properly)
_______________________________________________
pld-cvs-commit mailing list
[email protected]
http://lists.pld-linux.org/mailman/listinfo/pld-cvs-commit

Reply via email to